/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb;

import javax.ejb.TransactionManagementType;

/**
 * // *
 *
 * @author <a href="mailto:bill@jboss.org">William DeCoste</a>
 * @version $Revision: 1.1.2.4 $
 */
public class TransactionManagementImpl implements javax.ejb.TransactionManagement
{
   private TransactionManagementType value = TransactionManagementType.CONTAINER;

   public TransactionManagementImpl()
   {
   }

   public TransactionManagementType value()
   {
      return value;
   }

   public void setValue(TransactionManagementType value)
   {
      this.value = value;
   }

   public Class annotationType()
   {
      return javax.ejb.TransactionManagement.class;
   }
}
